{{ product.name }}

TouchFox Controller for Skyrim

DRM

$3.99

$3.99

-{{product.discount}}%

TouchFox Controller for Skyrim

$3.99

$3.99

-{{product.discount}}%

TouchFox makes PC games playable on Windows 8 touch enabled devices. It adds on-screen controls to your favourite games, so you can play them even without a keyboard and a mouse.

Read full description

Deals

Game description

The next chapter in the highly anticipated Elder Scrolls saga arrives from the makers of the 2006 and 2008 Games of the Year, Bethesda Game Studios. Skyrim reimagines and revolutionizes the open-world fantasy epic, bringing to life a complete virtual world open for you to explore any way you choose.


TouchFox makes PC games playable on Windows 8 touch enabled devices. It adds on-screen controls to your favourite games, so you can play them even without a keyboard and a mouse.


Key Features:

  • Just Play

    Easy and Intuitive, the on-screen touch controls make you feel at home right away

  • Tailored for your game:

    No two games are alike, the same goes for TouchFox controllers. All aspects of gameplay are considered when designing each TouchFox controller, making your gaming experience the best it can be

  • A skin for every occasion:

    Every controller comes with a collection of gorgeous skins to choose from. Whether you like skulls, lasers or classic designs - we got you covered

  • 0

  • 0

  • Rating
Publisher:
Overwolf Limited
Developer:
Overwolf Limited
Genres:
Action, Adventure
Source:
Overwolf Limited
Released:
Monday, April 14, 2014
Modes:
Languages:
English, French, German, Italian, Spanish
  • Overwolf installed
  • A working copy of Skyrim

More like this

Reviews for TouchFox Controller for Skyrim

Our users have spoken

0
Overall score based on 0 reviews

Load More
Load More
Thanks for review.

All reviews are moderated and may not appear on the site staight away
Thank you for your patience whilst we complete this process.

Write a review
All fields are mandatory
This field is required
This field is required